package cn.ibizlab.core.sample.mapping;

import cn.ibizlab.core.sample.domain.IBIZBOOK;
import org.mapstruct.*;
import java.util.List;

@Mapper(componentModel = "spring", uses = {})
public interface IBIZBOOKDataImport {
    @Mappings({
        @Mapping(target = "ibizbookid", source = "ibizbookid"),
        @Mapping(target = "ibizbookname", source = "ibizbookname"),
        @Mapping(target = "updateman", source = "updateman"),
        @Mapping(target = "press", source = "press"),
        @Mapping(target = "author", source = "author"),
        @Mapping(target = "price", source = "price"),
        @Mapping(target = "updatedate", source = "updatedate"),
        @Mapping(target = "booknumber", source = "booknumber"),
        @Mapping(target = "createman", source = "createman"),
        @Mapping(target = "type", source = "type"),
        @Mapping(target = "createdate", source = "createdate"),
    })
    @BeanMapping(ignoreByDefault = true)
    IBIZBOOK toDomain(IBIZBOOK entity);

    List<IBIZBOOK> toDomain(List<IBIZBOOK> entities);
}




